
-- DROP TABLE tl_sent_email;




CREATE TABLE tl_sent_email (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    subject varchar2(200) NOT NULL,
    sent_date date NOT NULL,
    application_status varchar2(200) NOT NULL,
    message_content clob NOT NULL,
    email_to clob NOT NULL,
    job_application_id number(12)  NOT NULL
    );



ALTER TABLE tl_sent_email ADD    
    CONSTRAINT PK_tl_sent_email PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_sent_email_job_application_id 
    ON tl_sent_email (job_application_id);
